Create an inspectionCopy Pagepost https://vision-api.truepic.{tld}/v3/inspectionsQuery Paramsincludearray of stringsThe top-level result fields to include in the response. If not set, all fields are included by default. If set, id, created_at, and updated_at are always included as a baseline.includeADD stringBody ParamsRequest Body for POST /inspectionsassigned_to_member_userstringThe user to assign the inspection to. Can be either a user ID or an email address.copied_customer_info_was_editedbooleanWhether the customer info was edited relative to the copied inspection.truefalsecopied_from_inspection_idnumberThe ID of the inspection this one was copied from, if applicable.copied_list_was_editedbooleanWhether the list was edited relative to the copied inspection.truefalsecustom_field_valuesarray of stringsThe values for the custom fields defined in the inspection type. The order of the values must match the order of the custom fields defined in the inspection type. If the value is optional then you can provide null for that value.custom_field_valuesADD stringcustomer_addressstringThe address where the inspection will be performed.customer_address_latstringThe latitude of the address where the inspection will be performed.customer_address_lngstringThe longitude of the address where the inspection will be performed.customer_email_addressstringlength ≤ 255The email address of the customer completing the inspection. Required if send_methods.email is true.customer_first_namestringlength ≤ 255The first name of the customer completing the inspection.customer_last_namestringlength ≤ 255The last name of the customer completing the inspection.customer_namestringlength ≤ 255The full name of the customer who will be completing the inspection. If specified, then customer_first_name and customer_last_name will not be provided.customer_phone_countrystringlength ≤ 2The country code for the customer's phone number.customer_phone_numberstringThe mobile number of the customer completing the inspection. Required if send_methods.text is true.include_listbooleanDefaults to falseThis must be set to true when including items in the list object.truefalseinspection_ready_criteria_textstring | nullFree-form inspection-ready criteria text. Max length 10KB.inspection_type_idnumberThe id of the inspection type this inspection is for.listobjectPopulate this object with list items to prompt the user for specific photos, videos, or questions during the inspection.list objectmessage_supplementstringlength ≤ 255The message supplement (custom note) to be attached to the request text/email. Maximum length of 255 characters.scheduled_fordate-timeThe date/time (in UTC) the inspection is scheduled to be sent to the customerscheduled_tzstringThe IANA timezone name for the inspection's scheduled datetime. Used only for display purposes, as scheduled_for is in UTC.send_methodsobjectThe method(s) to send the inspection request to the customer completing the inspection.send_methods objectteam_idnumberThe id of the team this inspection is for.Responses 200Request Successful 400The request body couldn't be parsed. 401Authentication failed, or the user/client doesn't have permission to the requested resource. 403The user doesn't have permission to access the requested resource. 404The requested resource couldn't be found. 412A required property or parameter is missing from the request. 500An unexpected error occurred.Updated 9 days ago